## section-photos-people

section-photos-people

## Functions

int | flickcurl_photos_people_add ()
int | flickcurl_photos_people_delete ()
int | flickcurl_photos_people_deleteCoords ()
int | flickcurl_photos_people_editCoords ()
flickcurl_person ** | flickcurl_photos_people_getList ()

## Description

## Functions

### flickcurl_photos_people_add ()

    int
    flickcurl_photos_people_add (flickcurl *fc,
                                 const char *photo_id,
                                 const char *user_id,
                                 int person_x,
                                 int person_y,
                                 int person_w,
                                 int person_h);

Add a person to a photo. Coordinates and sizes of boxes are optional; they are measured in pixels, based on the 500px image size shown on individual photo pages.

Implements flickr.photos.people.add (1.17)

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
photo_id | The id of the photo to add a person to. |
user_id | The NSID of the user to add to the photo. |
person_x | The left-most pixel co-ordinate of the box around the person. (or < 0) |
person_y | The top-most pixel co-ordinate of the box around the person. (or < 0) |
person_w | The width (in pixels) of the box around the person. (or < 0) |
person_h | The height (in pixels) of the box around the person. (or < 0) |

#### Returns

non-0 on failure

### flickcurl_photos_people_delete ()

    int
    flickcurl_photos_people_delete (flickcurl *fc,
                                    const char *photo_id,
                                    const char *user_id);

Remove a person from a photo.

Implements flickr.photos.people.delete (1.17)

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
photo_id | The id of the photo to remove a person from. |
user_id | The NSID of the person to remove from the photo. |

#### Returns

non-0 on failure

### flickcurl_photos_people_deleteCoords ()

    int
    flickcurl_photos_people_deleteCoords (flickcurl *fc,
                                          const char *photo_id,
                                          const char *user_id);

Remove the bounding box from a person in a photo

Implements flickr.photos.people.deleteCoords (1.17)

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
photo_id | The id of the photo to edit a person in. |
user_id | The NSID of the person whose bounding box you want to remove. |

#### Returns

non-0 on failure

### flickcurl_photos_people_editCoords ()

    int
    flickcurl_photos_people_editCoords (flickcurl *fc,
                                        const char *photo_id,
                                        const char *user_id,
                                        int person_x,
                                        int person_y,
                                        int person_w,
                                        int person_h);

Edit the bounding box of an existing person on a photo.

Implements flickr.photos.people.editCoords (1.17)

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
photo_id | The id of the photo to edit a person in. |
user_id | The NSID of the person to edit in a photo. |
person_x | The left-most pixel co-ordinate of the box around the person. |
person_y | The top-most pixel co-ordinate of the box around the person. |
person_w | The width (in pixels) of the box around the person. |
person_h | The height (in pixels) of the box around the person. |

#### Returns

non-0 on failure

### flickcurl_photos_people_getList ()

    flickcurl_person **
    flickcurl_photos_people_getList (flickcurl *fc,
                                     const char *photo_id);

Get a list of people in a given photo.

Implements flickr.photos.people.getList (1.17)

Announced 2010-01-21 http://code.flickr.com/blog/2010/01/21/people-in-photos-the-api-methods/

#### Parameters

fc | flickcurl context |
photo_id | The id of the photo to get a list of people for. |

#### Returns

list of persons or NULL on failure